#pragma once


#include <nlite_common\http.h>



#include "namespace_start.h"

class CXmlHttpAPI{

private:
	CWinHttpClient httpClient; 

public:

	template<typename F>

	Bool Get(const NString &method,const NString &url,F func){

		httpClient.Open(method,url);
		CHResult result =httpClient.get_ResponseXml(func);
		return result.IsSucceded();
	}

};



#include "namespace_end.h"